Retrieve a delta
Returns assignments that have changed since the last delta token.
Caution
Read the Delta page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/assignments?delta
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-assignments.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Internal unique identifier for the assignment. |
person.id |
integer | Yes | Yes | Internal ID of the person who the assignment is for. |
from |
string | Yes | Yes | Start date of the assignment (YYYY-MM-DD). |
until |
string | No | Yes | End date of the assignment (YYYY-MM-DD). |
startTimeInMinutes |
integer | No | Yes | Start time in minutes since midnight. |
endTimeInMinutes |
integer | No | Yes | End time in minutes since midnight. |
breakDurationInMinutes |
integer | No | Yes | Duration of the break in minutes. |
comments |
string | No | Yes | Comments associated with the assignment. |
activityLevels.level |
integer | Yes | Yes | A list of levels in the activity structure of the registered activity definition. |
activityLevels.activityDefinition.id |
string | Yes | Yes | Unique identifier for the activity definition registered. |
isRejected |
boolean | — | Read-only | Whether the assignment has been rejected. |
Filters
| Filter | Type | Description |
|---|---|---|
date |
Required | The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year |
Note
- People cannot be used in the delta
- The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year
- The end date isn’t required, when providing an end date there is a max range of 1 year
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
activity-definitions |
@data-entry-code, @external-reference |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax or unknown filter field |
401 |
Missing or invalid access token, or insufficient scope |
410 |
Delta token has expired (older than 72 hours) |
414 |
Request URI too long |
Examples
A delta with date filter
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/assignments?filter=date ge '2025-01-01'&delta
A delta with date filter and external reference
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/assignments?filter=date ge '2025-01-01'&externalReferences=(people,@employee-number)&delta